// --------------------------------------------- Pig Loading Screen ------------------------------------------------------
[Setting name="Pig Loading Screen" category="Pig Loading Screen" description="Enable custom loading screens" hidden]
bool CustomLoadingScreenOn = false;

[Setting name="Preview Loading Screens" category="Pig Loading Screen" hidden]
CustomLoadingScreen::bool bgPreview = false;

[Setting name="Custom Loading Screens" category="Pig Loading Screen" description="Load screens from image folder" hidden]
CustomLoadingScreen::bool useCustomLoadingScreens = true;

/*
[Setting name="ICY PIGS (5)" category="Pig Loading Screen" description="Use ICY PIGS loading screens"]
CustomLoadingScreen::bool mapIcyPigs = true;

[Setting name="CHOOSE YOUR CAR (5)" category="Pig Loading Screen" description="Use CHOOSE YOUR CAR loading screens"]
CustomLoadingScreen::bool mapChooseYourCar = true;

[Setting name="no clue (5)" category="Pig Loading Screen" description="Use no clue loading screens"]
CustomLoadingScreen::bool mapNoClue = true;

[Setting name="one section at the time (5)" category="Pig Loading Screen" description="Use one section at the time loading screens"]
CustomLoadingScreen::bool mapOneSectionAtTheTime = true;

[Setting name="ONO (5)" category="Pig Loading Screen" description="Use ONO loading screens"]
CustomLoadingScreen::bool mapOno = true;

[Setting name="snow on pipes (6)" category="Pig Loading Screen" description="Use snow on pipes loading screens"]
CustomLoadingScreen::bool mapSnowOnPipes = true;
//*/

[Setting name="activeMaps" category="Pig Loading Screen" hidden]
uint activeLoadMaps = 0;

bool settingsCheckBox(const string &in name, bool value, const string &in description = "") {
    value = UI::Checkbox(name, value);
    if (description != "" && UI::IsItemHovered()){
        UI::BeginTooltip();
        UI::Text(description);
        UI::EndTooltip();
    }
    return value;
}

[SettingsTab name="Pig Loading Screen"]
void RednderSettings() {
    bgPreview = settingsCheckBox("Preview Loading Screens", bgPreview);
    CustomLoadingScreenOn = settingsCheckBox("Pig Loading Screen", CustomLoadingScreenOn, "Enable custom loading screens");
    useCustomLoadingScreens = settingsCheckBox("Custom Loading Screens", useCustomLoadingScreens, "Load screens from image folder");
    
    //UI::Text(""+activeLoadMaps);
    string[] keys = CustomLoadingScreen::possibleMaps.GetKeys();
    for (uint i = 0; i < keys.Length; i++) {
        CustomLoadingScreen::map@ m = cast<CustomLoadingScreen::map@>(CustomLoadingScreen::possibleMaps[keys[i]]);
        if (settingsCheckBox(m.name, (activeLoadMaps & m.id) != 0, "Use " + m.name + " loading screens")) {
            activeLoadMaps = activeLoadMaps | m.id;
        } else {
            activeLoadMaps = activeLoadMaps & ~m.id;
        } // we love bitwise operators (:
    }
}


// --------------------------------------------- Pig Loading Screen ------------------------------------------------------
// --------------------------------------------- Pig On The Screen  ------------------------------------------------------
[Setting name="Pig On The Screen" category="Pig On The Screen" description="Add's a cute litle piggy on the screen"]
bool pigOnTheScreenOn = false;

[Setting name="Pig Relax" category="Pig On The Screen" description="The pig will always idle after moving"]
pigOnTheScreen::bool Relax = true;
// --------------------------------------------- Pig On The Screen  ------------------------------------------------------